Differences between revisions 1 and 289 (spanning 288 versions)
Revision 1 as of 2017-08-30 19:28:35
Size: 2090
Comment: Template for the Qt4 (aka qt4-x11) removal.
Revision 289 as of 2019-08-22 21:00:25
Size: 35671
Editor: ?jmmdebian
Comment: kcollectd removed
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
#language en
Line 5: Line 6:
Subject: Qt4 removal Subject: Qt4 removal from Buster
Line 11: Line 12:
as announced in [announce].

[announce] <FILL ME>
as announced in:

[announced]
<https://lists.debian.org/debian-devel-announce/2017/08/msg00006.html>
Line 19: Line 21:
<https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=828522>
Line 25: Line 28:
- contact your upstream (if existing) and ask about the state of a Qt5  - contact your upstream (if existing) and ask about the state of a Qt5
Line 27: Line 30:
- if there are no activities regarding porting, investigate whether there are  - if there are no activities regarding porting, investigate whether there are
Line 30: Line 33:
- if both the Qt4 and the Qt5 versions already coexist in the Debian  - if both the Qt4 and the Qt5 versions already coexist in the Debian
Line 47: Line 50:
For any questions and issues, do not hesitate to contact the Debian Qt/KDE  For any questions and issues, do not hesitate to contact the Debian Qt/KDE
Line 49: Line 52:

The removal is being tracked in <https://wiki.debian.org/Qt4Removal>
Line 51: Line 56:
== Related removals ==

[[Qt4WebKitRemoval]]
[[https://bugs.launchpad.net/ubuntu/+bugs?field.tag=qt4-removal|Ubuntu's Qt 4 Removal]]
Line 55: Line 65:
'''Please keep this list reflecting the status of packages in both unstable and testing. Only when the bug gets fixed in both unstable and testing should we move it into the "Done" part.'''
Line 57: Line 69:
 * akonadi4 DebianBug:874808 -> it has a Qt5 counterpart; needed by src:kdepimlibs
 * alsoft-conf DebianBug:874809 -> No upstream activity for 9 years
 * amora-server DebianBug:874812 -> Upstream porting is tracked at https://github.com/amora/amora/issues/86 (current state: UI is ported, but qtbluetooth porting has still issues)
 * ams DebianBug:874823
 * appmenu-qt DebianBug:874825
 * attica DebianBug:874818 -> needed by src:kde4libs
 * automoc DebianBug:874822 -> needed by src:kde4libs, and by anything based on kdelibs 4.x built using cmake
 * avogadro DebianBug:874834 -> version 1.90 (beta of 2.0) supports Qt5
 * babiloo -> RM proposed DebianBug:935176
 * backintime DebianBug:935341 -> unreleased Qt5 support exists; only one subpackage needs Qt
 * baloo DebianBug:874826 -> needed by src:kdepim4
 * bareos DebianBug:874839
 * basket DebianBug:874829 -> Qt5 beta version (currently 2.49); work on salsa to package it (experimental branch)
 * boats DebianBug:874833
 * breeze DebianBug:874840 -> "part of Plasma to theme Qt4 apps -> needed as long as there is Qt4 around"
 * buildnotify DebianBug:906564
 * cdcat DebianBug:874843
 * choreonoid DebianBug:874844 -> Upstream trunk is supporting Qt5
 * cmtk DebianBug:874853
 * codequery DebianBug:874855
 * code-saturne DebianBug:935342 -> source in Debian supports Qt5
 * connectomeviewer DebianBug:875494
 * cppreference-doc DebianBug:874862
 * daemonfs DebianBug:874864
 * dgedit DebianBug:874852
 * doomsday DebianBug:874870 -> version 2.x is Qt5-based
 * dssi DebianBug:874857
 * eficas DebianBug:935343 -> obsolete? https://www.code-aster.org/forum2/viewtopic.php?id=22738
 * epigrass DebianBug:891994
 * fbreader DebianBug:874867 -> *Linux version apparently dead with no work in progress and not even unstable Qt5 port, see https://github.com/geometer/FBReader/issues/285
 * fcitx DebianBug:874868 -> Qt4 support to be removed upon Qt4 removal.
 * fmit DebianBug:874884 -> Qt5 version available in experimental
 * freemat DebianBug:874878
 * freemedforms-project DebianBug:874880 -> the README.md of 1.0 says "FreeMedForms and derivatives are coded in C++ / Qt5."
 * gle-graphics DebianBug:874901
 * gns3 DebianBug:874891
 * gnudoq DebianBug:874892
 * grantlee DebianBug:874908 -> needed by src:kdepim4, will be removed when its dependencies are removed (this is not grantlee5, which is based on Qt5)
 * gr-air-modes [[https://github.com/bistromath/gr-air-modes/issues/98|upstream QtWebkit bug]], doesn't work after removing qt4webkit? DebianBug:858774
 * hachoir-metadata -> dead upstream; https://github.com/vstinner/hachoir3 still uses Qt4 though; Qt seems optional (only in Suggests:)
 * hamfax DebianBug:874911 -> last upstream commit in 2011
 * heimdall-flash DebianBug:874915
 * hydrogen DebianBug:874907 -> Qt5 support available upstream (merged after the last release 0.9.7) but unreleased
 * imagevis3d DebianBug:874916
 * jreen DebianBug:874918 -> Package seems to be dual Qt4/Qt5. Nothing in the archive seems to use it, asked for the removal of Qt4 binaries.
 * kactivities DebianBug:874925 -> needed by src:kde-runtime
 * karlyriceditor DebianBug:874931 -> Qt5 support since 2.0 (2015-12-13), last version is 2.2
 * kate4 DebianBug:874932 -> needed by anything using kdelibs 4.x, as kde-runtime -> kdelibs5-plugins -> katepart
 * kde-runtime DebianBug:874944 -> linked to kde4libs, and needed for anything using kdelibs 4.x
 * kde4libs DebianBug:874945 -> can be dropped as long as no applications depends on it
 * kdepimlibs DebianBug:874937 -> see kdepim4 and few other dependencies
 * keepassx DebianBug:874950 -> master uses Qt5, no new release yet, in experimental
 * kfilemetadata DebianBug:874953 -> needed by src:baloo
 * kmetronome DebianBug:874954 -> 1.0.0-2 is Qt5 but only on experimental, not sid
 * kmidimon DebianBug:874955
 * knutclient DebianBug:874964
 * kopete DebianBug:874985 -> Qt5 since KDE Applications 18.04, in experimental only as not stable
 * kover DebianBug:874968 -> No upstream activity for 5 years
 * kpartsplugin DebianBug:874969
 * kppp DebianBug:874970 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community
 * kprinter4 DebianBug:874973 -> No upstream activity since 2014, query sent to maintainers / uploaders
 * kradio4 DebianBug:874977 -> ask pino
 * krecipes DebianBug:874978 -> no upstream Qt5 branch; now unmaintained by the KDE community
 * kredentials DebianBug:874979
 * kremotecontrol DebianBug:874980 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community
 * kscd DebianBug:874987 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community
 * kvpnc DebianBug:875003
 * laborejo DebianBug:935344 -> orphaned; unreleased Qt5 support exists at https://github.com/diovudau/Laborejo
 * libdbusmenu-qt DebianBug:875021 -> Plasma ships an updated fork in plasma-workspace.git; probably required as long as there are Qt4 applications which depend on it
 * libdrumstick DebianBug:875010 -> Qt 5 package available in experimental.
 * libjdns DebianBug:875022 -> dual Qt4/Qt5, and the Qt4 version is not used in the archive
 * liblastfm DebianBug:875025
 * libqglviewer DebianBug:875036 -> it has both Qt4 and Qt5 bindings
 * lightdm DebianBug:875029
 * linguider DebianBug:875031
 * lmms DebianBug:875038 -> version 1.2.x supports also Qt5, yet Debian package maintainers are inactive
 * makehuman DebianBug:906578 -> upstream 1.2.x will use Qt5 and Python3 https://github.com/makehumancommunity/makehuman
 * matplotlib -> ships both Qt4 and Qt5 support, but Suggests only python-qt4
 * meshlab DebianBug:875041
 * microbegps DebianBug:935345 -> no Qt5 support upstream
 * midisnoop DebianBug:875047
 * mp3diags DebianBug:875057
 * musique DebianBug:875061 -> no maintainer activity since 2012; version 1.5 (2016-12-12) and later are Qt5-based
 * mustang-plug DebianBug:875050
 * netanim DebianBug:875051 -> No maintainer activity for 6 years; upstream released new version with Qt5 support
 * nfs-ganesha DebianBug:935348 -> only python bindings require Qt
 * noblenote DebianBug:875054 -> Upstream beta version is supporting Qt5
 * ntrack DebianBug:875059
 * nzb DebianBug:875062
 * odin DebianBug:875065 -> apparently no Qt5 version upstream, but the porting may not be complicated
 * ofono-phonesim DebianBug:875066
 * openambit DebianBug:875068
 * opencsg DebianBug:875070
 * openpref DebianBug:875074 -> no upstream activity since 2011, git source moved to gitorious (!)
 * openscenegraph DebianBug:875075
 * opensesame -> RM proposed DebianBug:935180
 * openteacher DebianBug:875076
 * ostinato DebianBug:875077
 * oxygen DebianBug:875078 -> "part of Plasma to theme Qt4 apps -> needed as long as there is Qt4 around"
 * phonon DebianBug:875095 -> dual Qt4/Qt5
 * phonon-backend-gstreamer DebianBug:875087 -> dual Qt4/Qt5
 * phonon-backend-vlc DebianBug:875088 -> dual Qt4/Qt5
 * pianobooster DebianBug:875089 -> dead upstream, Debian already packages the last SVN snapshot; unofficial Qt5 port at https://github.com/inniyah/pianobooster
 * puddletag DebianBug:935346 -> [[https://github.com/keithgg/puddletag/issues/380|upstream bug]]
 * polkit-qt-1 DebianBug:875092 -> Qt5 counterpart available
 * portabase DebianBug:875098
 * projectm DebianBug:875112 -> Qt5 support since version 2.2.1 (2018-04-06)
 * pyqwt5 DebianBug:875115
 * pysatellites DebianBug:935347 -> cannot find the upstream location
 * pyside DebianBug:875122
 * pyside-tools DebianBug:875114
 * python-pyface DebianBug:935349 -> Qt5 support exists upstream (unreleased or 6.0?)
 * python-pyqtgraph DebianBug:843897 -> source in Debian supports Qt5?
 * python-qt4 DebianBug:875109
 * qbzr DebianBug:935351 -> RFH; no Qt5 support upstream
 * qca2 DebianBug:875133 -> dual Qt4/Qt5
 * qemuctl DebianBug:875134 -> no upstream activity since 2011
 * qimageblitz DebianBug:875130 -> "a Qt5 port exists unreleated -> but it should not be needed anymore"
 * qjoypad DebianBug:875137 -> fork with Qt5 port at https://github.com/panzi/qjoypad
 * qjson DebianBug:875139 -> see [[https://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-qt-kde@lists.debian.org;tag=qjson-removal|bugs for it]]
 * qliss3d DebianBug:875140 -> no upstream activity since 2011
 * qmpdclient DebianBug:875136 -> "Currently orphaned (TITO) -> dead upstream -> replacements available (cantata for example)"
 * qpxtool DebianBug:875141
 * qsapecng DebianBug:875138
 * qscintilla2 DebianBug:875144 -> needs to drop Qt4 build (already builds Qt5 libs)
 * qt-assistant-compat DebianBug:875151
 * qtads DebianBug:875157 -> simply needs to be built with Qt5, patch submitted
 * qtcurve DebianBug:875149 -> dual Qt4/Qt5
 * qtexengine DebianBug:875158 -> upstream page changed (https://iondev.ro/qtexengine/); current version is 0.6 (2015), unclear status of Qt5 support
 * qthid-fcd-controller DebianBug:875160
 * qtiplot DebianBug:875150 -> dropped in upstream release candidates
 * qt4reactor DebianBug:935350 -> very old version in Debian; qt5reactor exists
 * qtm DebianBug:875161
 * qtwebkit DebianBug:875159
 * qwbfsmanager DebianBug:875164
 * qwt DebianBug:875165
 * qwt5 DebianBug:875166
 * qxmlrpc DebianBug:875178
 * radium-compressor DebianBug:875168
 * rlplot DebianBug:875172
 * scantailor DebianBug:875176 -> https://github.com/scantailor/scantailor/issues/121 seems to point to the fork scantailor-advanced
 * scap-workbench DebianBug:875177
 * scim DebianBug:875250
 * scolasync DebianBug:935183
 * scribus DebianBug:875180 -> the development versions are Qt5 (1.5.x)
 * seascope -> DebianBug:875500; dead upstream?
 * shiboken DebianBug:875190
 * sofa-framework DebianBug:875184
 * stretchplayer DebianBug:875195 -> last upstream activity in 2010, repository on gitorious
 * swift-im DebianBug:875212 -> "current upstream release requires Qt5 -> Debian package outdated"
 * syncevolution DebianBug:875215
 * synergy DebianBug:875199
 * tagainijisho DebianBug:875200 -> Orphaned, upstream new version has Qt5 support
 * tipp10 DebianBug:875207
 * tora DebianBug:875208
 * trimage DebianBug:935352 -> dead upstream? no Qt5 support upstream
 * unixodbc-gui-qt DebianBug:875219
 * v4l2ucp DebianBug:875221
 * valkyrie DebianBug:875222
 * vistrails DebianBug:935353 -> there is some old Qt5 development branch on github
 * vitables DebianBug:935354 -> latest version supports Qt5
 * vmpk DebianBug:875238 -> Qt5 supported upstream since 0.6.0 (last version is 0.7.0)
 * voxbo DebianBug:875227 -> upstream repository says "As of June 2011, VoxBo is no longer actively maintained."
 * writetype DebianBug:875234 -> Upstream inactive since 2014
 * xflr5 DebianBug:875240 -> Qt5 supported upstream since 6.30 (last version is 6.43)
 * yabause DebianBug:875242 -> last upstream version 0.9.15 supports Qt5
 * yagf DebianBug:875243 -> Experimental Qt5 branch upstream
Line 63: Line 243:
=== Qt4-specific ===
=== Qt4-specific (to be removed alongside Qt4 itself) ===

 * qt-at-spi DebianBug:875146 -> [[https://lists.debian.org/debian-qt-kde/2017/09/msg00451.html]].
 * razorqt DebianBug:875169 -> "superseded by LXQt -> already Qt5 and available in Debian -> should be removed with qt4-x11 because the maintainer still sees value in ""maintaining"" a project dead upstream and superseded with several releases (of LXQt) already in Debian (one of which in stable)... oh well... see [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=784181|bug 784181]]" Also [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875169#10|this comment in 875169]].
 * sni-qt DebianBug:875183 Should probably go along qt4
Line 67: Line 250:

 * abgate DebianBug:874806 -> Switched to Qt5.
 * ace -> DebianBug:874813 -> the QtReactor component was disabled.
 * acetoneiso DebianBug:874814 -> Ported to Qt5.
 * acoustid-fingerprinter DebianBug:874807 -> Orphaned, no upstream release for 6 years, no sign of porting -> Removed, RoQA.
 * adwaita-qt DebianBug:874816 -> Ported to Qt5.
 * alt-key DebianBug:874810 -> Upstream dead, last version released 6 years ago -> DebianBug:904377 Removed.
 * amarok DebianBug:874811 -> master branch is KF5-based, but no release planned yet -> Removed.
 * amule DebianBug:874824 -> "optional Plasma 4 applet disabled"
 * aqsis DebianBug:874815 -> Qt4 parts disabled
 * arc-gui-clients DebianBug:874817 -> see qt4webkit removal page -> Switched to Qt5.
 * aseba DebianBug:891021 -> Ported to Qt5.
 * attal DebianBug:874827 -> Removed, DebianBug:906581
 * audex DebianBug:874819 -> git master is Qt5, but unmaintained; will be autoRMed from testing once libkcompactdisc and libkcddb are migrated to KF5 -> Removed, ROM.
 * auralquiz DebianBug:874821 -> New version with Qt5 support uploaded.
 * audiocd-kio DebianBug:874820 -> Qt5 since KDE Applications 16.12
 * autokey DebianBug:875496
 * avahi DebianBug:874832 -> Qt4 subpackages removed in the last upload
 * bacula DebianBug:874836 -> Migrated to Qt5.
 * ball DebianBug:874837 -> Migrated to Qt5.
 * bangarang DebianBug:874828 -> "linked to Nepomuk -> dead upstream, RoM"
 * bear DebianBug:874830 -> "Only used in tests -> removed and tests disabled."
 * bibletime DebianBug:874831 -> see qt4webkit removal page -> ported to Qt5.
 * bppphyview DebianBug:874835 -> Ported to Qt5.
 * brewtarget DebianBug:874838 -> Switched to Qt5 (package version 2.3.1-1)
 * calligra DebianBug:874841 -> Qt5 version in experimental.
 * camp DebianBug:874842 -> Switched to Qt5
 * clementine DebianBug:874850 -> Ported to Qt5.
 * clonalframe DebianBug:874845 -> Switched to Qt5
 * clustalx DebianBug:874851 Ported to Qt5.
 * collatinus DebianBug:874856 -> Ported to Qt5.
 * connectome-workbench DebianBug:874859 -> Switched to Qt5.
 * comparepdf DebianBug:874846
 * confclerk DebianBug:874847 -> Switched to Qt5
 * convertall DebianBug:874848 -> Ported to Qt5.
 * cortina DebianBug:874849 -> Orphaned, upstream dead for 3 years -> Removed.
 * dc-qt DebianBug:874866 -> upstream inactive for 4 years, long orphaned -> RM requested DebianBug:920192 -> Removed.
 * diffpdf DebianBug:874854 -> Ported to Qt5 with Debian-specific patch series.
 * debconf DebianBug:629405 -> Qt4 frontend removed.
 * edfbrowser DebianBug:874858 -> Switched to Qt5.
 * eiskaltdcpp DebianBug:874872 -> upstream 2.2.10 compiles with Qt5 (maybe https://github.com/eiskaltdcpp/eiskaltdcpp/pull/367 is needed too)
 * encuentro DebianBug:934324 -> [[https://bugs.launchpad.net/encuentro/+bug/1593460|upstream bug]], RMed
 * eqonomize DebianBug:874860 -> Switched to Qt5 (new version 1.2-1, QA upload).
 * esperanza DebianBug:874861 -> Removed, ROM.
 * evolvotron DebianBug:874863 -> Switched to Qt5.
 * expeyes DebianBug:904090 -> qt4 in Build-Depends, qt5 in Depends -> Unified to use Qt5 toolchain.
 * faustworks DebianBug:874865 -> Switched to Qt5.
 * fcitx-kkc DebianBug:874869 -> New version using Qt5 -> New version uploaded.
 * fcitx-libpinyin DebianBug:874871 -> Switched to Qt5 in the new version.
 * fcitx-skk DebianBug:874879 -> Switched to Qt5.
 * felix-latin DebianBug:874881
 * ffdiaporama DebianBug:874874 -> Switched to Qt5.
 * flightcrew DebianBug:874875
 * fracplanet DebianBug:874885 -> Switched to Qt5.
 * fractalnow DebianBug:874876 -> Switched to Qt5.
 * fraqtive DebianBug:874888 -> Switched to Qt5.
 * freecad DebianBug:874877 -> Version 0.17 is based on Qt5.
 * freeplayer DebianBug:874882 -> "'Upstream is long dead.' according the packager -> will be removed -> Removed, ROM"
 * fwbuilder DebianBug:874894 Qt5 version uploaded using the "official" fork at https://github.com/fwbuilder/fwbuilder
 * gambas3 DebianBug:874896
 * gammaray DebianBug:874883 -> Ported to Qt5.
 * gazebo DebianBug:874898 -> the release 8.0.0 switched to Qt5
 * gcin DebianBug:874886 -> Qt4 sub-package dropped
 * geogebra-kde DebianBug:874887 -> "the package contained just a thumbnail generator and a service desktop file -> Removed"
 * geophar DebianBug:875497 -> Migrated to Qt5.
 * gmic DebianBug:874889
 * gnash DebianBug:874890 -> Removed
 * gnuradio DebianBug:874893 -> Switched to Qt5.
 * goldendict DebianBug:874895 -> see qt4webkit removal page -> Switched to Qt5.
 * gpsbabel DebianBug:874897 -> see the Qt4WebKitRemoval -> Switched to Qt5 since 1.5.4.
 * gpsd DebianBug:874905 -> Qt4 used in libqgpsmm22; no mention of Qt5 support upstream, but the build system supports the version of Qt (maybe leftover from 3->4?)
 * gr-fosphor DebianBug:874899
 * gr-radar DebianBug:874900 -> Migrated to Qt5.
 * guymager DebianBug:874902 -> Switched to Qt5
 * hannah-foo2zjs DebianBug:874903 -> Switched to Qt5
 * hedgewars DebianBug:874913
 * hgview DebianBug:875499 (removed)
 * hime DebianBug:874904 -> Removed the Qt4 input module
 * holdingnuts DebianBug:874917 -> Removed.
 * hupnp DebianBug:874906 Removed from the archive.
 * i7z DebianBug:874909 -> Qt4 GUI disabled.
 * iannix DebianBug:874910 -> Qt5 package uploaded to sid.
 * ibus-qt DebianBug:874920 -> RM Bug filed DebianBug:903894 -> Removed.
 * ifpgui DebianBug:874912 -> RM Bug filed DebianBug:920294, ROM -> Removed.
 * ifrit DebianBug:874921 -> Removed, RoQA.
 * ike DebianBug:874914 -> RMed, RoQA
 * jovie DebianBug:874922 -> RMed, replaced by Qt Speech in Qt 5.10
 * juk DebianBug:874919 -> Qt5 since KDE Applications 17.12.
 * k3b DebianBug:874923 -> Qt5 since KDE Applications 17.04
 * kaccessible DebianBug:874927 -> functionality included in Qt5 -> dropped from KDE Applications 17.12 -> Removed
 * kajongg DebianBug:874924 -> Qt5 since KDE Applications 17.04
 * kalternatives DebianBug:874928 -> Removed
 * kalzium DebianBug:874929 -> Qt5 since KDE Applications 16.12, switched to Qt5
 * kamerka DebianBug:874926 -> Removed
 * katarakt DebianBug:874930 -> Switched to Qt5 (new version)
 * kbibtex DebianBug:874934 -> "master is Qt5 -> but another kdelibs 4.x version (0.7.0) is planned" Switched to Qt5.
 * kcachegrind DebianBug:874935 -> Qt5 since KDE Applications 17.04
 * kcheckers DebianBug:874933
 * kchmviewer DebianBug:874936 -> switched to Qt5
 * kcollectd DebianBug:874938 -> Removed
 * kdbg DebianBug:874941 -> Removed
 * kde-baseapps DebianBug:874942 -> split into few Qt5 tarballs since KDE Applications 16.12; now removed
 * kde-dev-utils DebianBug:874943 -> Qt5 since KDE Applications 17.04
 * kdegraphics-mobipocket DebianBug:874946 -> Qt5 since KDE Applications 16.12
 * kdepim4 DebianBug:874947 -> it contains knode and ktimetracker, not available for Qt5 -> Removed.
 * kdesdk-kioslaves DebianBug:874939 -> Qt5 since KDE Applications 17.04
 * kdesudo DebianBug:874940 -> "This is Qt 3 -> it should be removed from the archive altogether in favor of kdesu -> see [[https://lists.ubuntu.com/archives/kubuntu-devel/2017-September/011362.html|this]] and [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875107|bug 875107]]" Removed, RoM
 * kdewebdev DebianBug:874948 -> Removed, RoM (kimagemapeditor is in own source)
 * kdiff3 DebianBug:874949 -> Qt5 development version uploaded
 * keurocalc DebianBug:874952 -> Switched to Qt 5
 * kget DebianBug:874958 -> Qt5 since KDE Applications 17.12
 * kgoldrunner DebianBug:874960 -> Qt5 since KDE Applications 17.04
 * kgpg DebianBug:874951 -> Qt5 since KDE Applications 16.12
 * kigo DebianBug:874963 -> Qt5 since KDE Applications 17.08
 * kile DebianBug:874966 -> Switched to Qt5 beta
 * kio-gopher DebianBug:874971 -> Qt5 version released
 * klatexformula DebianBug:874972 -> Switched to Qt5.
 * kmag DebianBug:874974 -> Qt5 since KDE Applications 17.08
 * kmldonkey DebianBug:874956 -> Removed
 * kmix DebianBug:874975 -> Qt5 since KDE Applications 17.12
 * kmousetool DebianBug:874957 -> Qt5 since KDE Applications 17.08
 * kmouth DebianBug:874959 -> Qt5 since KDE Applications 17.12
 * kmymoney DebianBug:874961 -> Switched to Qt5
 * knights DebianBug:874962 -> Qt5 since KDE Applications 18.12
 * kolf DebianBug:874965 -> Qt5 since KDE Applications 17.12
 * komparator DebianBug:874981 -> looks dead upstream, requires libkonq4 (it was RMed as planned as soon as src:konqueror was switched to the KF5 version)
 * konquest DebianBug:874967 -> Qt5 since KDE Applications 17.08
 * konsole4 DebianBug:874983 -> Removed, RoM
 * kqtquickcharts DebianBug:874976 -> Qt5 since KDE Applications 16.12
 * kraft DebianBug:874993 -> Qt5 since 0.80
 * krename DebianBug:874982 -> Qt5 since v5.0.0
 * kreversi DebianBug:874984 -> Qt5 since KDE Applications 17.08
 * ksaneplugin DebianBug:874986 Removed, RoM
 * kscope DebianBug:874988 -> "the home page says that 'KScope is no longer being maintained.' -> drop", Removed, RoM
 * kshutdown DebianBug:874989 -> can use Qt5 since version 4.x -> Built against KF5 now
 * ksirk DebianBug:874990 -> Qt5 since KDE Applications 17.12
 * ksnakeduel DebianBug:874991 -> Qt5 since KDE Applications 17.08
 * kspaceduel DebianBug:874992 -> Qt5 since KDE Applications 17.08
 * kst DebianBug:874994 -> Switched to Qt5 (already supported).
 * ksudoku DebianBug:874995 -> Qt5 since KDE Applications 17.08
 * ktikz DebianBug:874996 -> Ported to Qt5.
 * ktouch DebianBug:875000 -> Qt5 since KDE Applications 16.12, fixed in experimental
 * ktp-call-ui DebianBug:875001 Switched to Qt5 in experimental.
 * kubrick DebianBug:875002 -> Qt5 since KDE Applications 17.08
 * kuser DebianBug:874997 -> dropped upstream, RMed
 * kvirc DebianBug:874998 -> unreleased Qt5 version is in experimentalsci
 * kvkbd DebianBug:874999 -> no activity recently, but most likely can be replaced by qtvirtualkeyboard (Plasma requirement) -> RMed, RoQA.
 * kxstitch DebianBug:875004 -> ported to Qt5
 * launchy DebianBug:875020 -> Orphaned, original upstream dead, fork available on GitHub with Qt5 support, removed
 * leocad DebianBug:875006 Switched to Qt5.
 * lfhex DebianBug:875018 -> Removed.
 * libaccounts-qt DebianBug:875007 -> extra libqt4-dev B-D
 * libalkimia DebianBug:875008 -> RoM; Qt5 version available as src:alkimia
 * libbpp-qt DebianBug:875009 -> Switched to Qt5.
 * libffado -> there is some discussion in DebianBug:887846
 * libguytools2 DebianBug:875011 -> Switched to Qt5
 * libgwenhywfar DebianBug:875012 -> previously double Qt4/Qt5; switched to Qt5 after kmymoney/Qt5 entered Buster
 * libkcddb DebianBug:875013 -> Qt5 since KDE Applications 16.12
 * libkcompactdisc DebianBug:875014 -> Qt5 since KDE Applications 16.12
 * libkdegames-kde4 DebianBug:875015 -> KF5 counterpart already in archive, will be RMed once all the games are migrated to Applications 17.12
 * libkexiv2 DebianBug:875016 -> needed by src:okular, KF5 counterpart already in archive -> RMed from archive
 * libkmahjongg DebianBug:875017 -> Qt5 since KDE Applications 15.04, KF5 counterpart already in archive -> Removed from archive, no longer needed
 * libkolabxml DebianBug:875019 -> Switched to Qt5.
 * libkpeople DebianBug:875023 Removed, RoM, Qt5 version already available.
 * libksane DebianBug:875024 Removed, RoM. Qt5 since KDE Applications 15.12
 * libmygpo-qt DebianBug:875033
 * liborigin2 DebianBug:875034 -> Switched to Qt5.
 * libqaccessibilityclient DebianBug:875035 -> new 0.2.0 release dual Qt4/Qt5 -> Ported to Qt5.
 * libquazip DebianBug:875026 -> Switched to Qt 5.
 * libqxt DebianBug:875027 -> Dead upstream -> RM Bug submitted DebianBug:906650 -> Removed.
 * liggghts DebianBug:875028 -> Qt4 part removed.
 * lightdm-kde DebianBug:875030 -> no Qt5 port will happen, packet will be removed alongside Qt4
 * linkchecker DebianBug:875032 GUI component split out, not part of Debian, unmaintained
 * linpsk DebianBug:875044 -> only old Qt4-based version left in ports
 * linux-minidisc DebianBug:875037 Switched to Qt5.
 * lskat DebianBug:875039 -> Qt5 since KDE Applications 17.08
 * luckybackup DebianBug:875045 -> Switched to Qt5.
 * m2l-pyqt DebianBug:875046 -> Switched to Qt5.
 * maptransfer DebianBug:933033 -> dead upstream; Removed
 * mcrl2 DebianBug:875040 -> Removed, unmaintained.
 * mixxx DebianBug:875042 -> the tarball of the released 2.0.0 apparently supports also Qt5 -> Switched to Qt5
 * mldemos DebianBug:875043
 * mm3d DebianBug:875048 -> Switched to Qt5
 * monkeystudio DebianBug:875056 -> Dead upstream, removed
 * mumble DebianBug:875058 -> development versions (1.3) use Qt5 (see DebianBug:874683 ) -> Migrated to Qt5.
 * muse DebianBug:875049 -> Switched to Qt5
 * netemul DebianBug:875052 Removed, RoM.
 * nmapsi4 DebianBug:875053 -> Switched to Qt5 (last snapshot of the alpha of the new 0.5).
 * nomnom DebianBug:875055 -> video downloader/grabber, last upstream release in 2011, probably not working anymore; candidate for removal (DebianBug: 922781) -> Removed, RoQA.
 * ns3 DebianBug:875071 Switched qto Qt5.
 * nuapplet DebianBug:875060 Removed, RoM.
 * octave DebianBug:875063 Switched to Qt5.
 * octomap DebianBug:875064 Switched to Qt5.
 * okular DebianBug:875067 -> Qt5 since KDE Applications 16.12
 * opencolorio DebianBug:875069 -> Switched to Qt5.
 * openimageio DebianBug:875072 -> Switched to Qt5.
 * openms DebianBug:875073 -> no Qt5 support in released version or in the 'develop' git branch, but there is a 'feature/qt5' branch
 * openmw DebianBug:875081 -> support for building with Qt5 is available 0.37.0, according the release notes
 * ophcrack DebianBug:875082
 * otb DebianBug:875083 -> "This migration can be planned for version 6.4 (which should arrive around December 2017)." -> Migrated to Qt5 with new release.
 * packagesearch DebianBug:875079 -> Switched to Qt5.
 * pairs DebianBug:875080 -> dropped (use the similar activity in gcompris-qt) Removed, RoM.
 * palapeli DebianBug:875084 -> Qt5 since KDE Applications 17.12
 * paraview DebianBug:875086 -> a Qt5 version was uploaded for a while but then reverted (see DebianBug:821091 ), maybe it can be tried again
 * pcp DebianBug:875093 -> Switched to Qt5.
 * pfstools DebianBug:875094 -> Switched to Qt5 (with a patch backported from the upstream WIP Qt5 branch).
 * picard -> a Qt5 version was released and packaged; Qt5 packages since 2.0.4-1 (now 2.1.0-1)
 * pinentry-x2go DebianBug:875090 -> Switched to Qt5.
 * pivy DebianBug:875099 -> Switched to Qt5
 * plasma-widget-yawp DebianBug:875100 -> "no Qt5 version planned -> only works with Plasma 4" -> Removed.
 * plplot DebianBug:875101 Ported to Qt5.
 * pokerth DebianBug:875091 -> Switched to Qt5-only build.
 * poppler DebianBug:875096 -> "different backends -> just drop the Qt4 version when there are no dependencies"
 * populations DebianBug:875097 -> Ported to Qt5
 * postbooks DebianBug:875102
 * postbooks-updater DebianBug:875103
 * prerex DebianBug:875104
 * prison DebianBug:875105 -> Removed, RoM
 * promoe DebianBug:875117 -> Orphaned, upstream development stalled -> Removed: DebianBug:904865
 * psi DebianBug:875119 -> Upstream version 1.2 supports/requires Qt5
 * psi-plus-l10n DebianBug:875110 Ported to Qt5
 * psi-translations DebianBug:875111 -> Migrated to Qt5 toolchain.
 * pulseview DebianBug:875113 -> Switched to Qt5.
 * pykde4 DebianBug:875118
 * pymecavideo DebianBug:875120 -> Ported to Qt5.
 * pynagram -> dead upstream, RM proposed -> Removed, RoQA.
 * pypibrowser -> dead upstream -> RM Bug submitted DebianBug:905804 -> Removed.
 * pyqwt3d DebianBug:875116
 * python-whiteboard DebianBug:875121 Switched to Qt5.
 * pythonqt DebianBug:875108 Switched to Qt5.
 * qcomicbook DebianBug:875129 -> "version 0.9.1 uses Qt5 -> uploaded"
 * qct -> RFA; RFA says should be removed -> Removed, ROM.
 * qimhangul DebianBug:875131 -> RoM, there are alternatives for Qt5.
 * qink DebianBug:875132 Orphaned, no upstream Qt5 version. -> Removed, RoQA.
 * qgis DebianBug:875135 -> at least the version 2.18.12 (released on 18.08.2017) can be compiled with Qt5, but Qt5 is not supported upstream until 3.0. The package in Debian will be switched to Qt5 [[http://qgis.org/en/site/getinvolved/development/roadmap.html#release-schedule|when 3.4.x LTR enters the upstream Long-Term Repo]]. -> 3.4.x uploaded to sid and migrated to testing.
 * qr-tools DebianBug:875142 Switched to Qt5. (debian-specific patch)
 * qrfcview DebianBug:875143 -> No upstream activity since 2006, no debian maintainer activity since 2008, no upload since 2013, package removal planned, query sent to package maintainer -> Removed.
 * qstardict DebianBug:875145 -> Ported to Qt5.
 * qt-gstreamer DebianBug:875147 -> Qt4 parts dropped
 * qt-sdk DebianBug:875154 Removed, RoM.
 * qtkeychain DebianBug:875152 -> can be compiled for both Qt4 and Qt5 -> Switched to Qt5.
 * qtop DebianBug:875162 -> Switched to Qt5.
 * qtruby DebianBug:875153 Removed, RoM.
 * qtscriptgenerator DebianBug:875155 -> needed by src:amarok -> Removed.
 * qtscrob DebianBug:875156 -> Switched to Qt5.
 * qtsmbstatus DebianBug:875163 -> Removed
 * qt4-perl DebianBug:875148 -> RM Bug submitted RoQA DebianBug:904583 -> Removed.
 * qwtplot3d DebianBug:875167 -> Ported to Qt5.
 * rinputd DebianBug:875170 Removed, RoM
 * rkward DebianBug:875171 -> "framework branch available -> not ready yet" -> Ported to Qt5.
 * robocut DebianBug:875173 Switched to Qt5.
 * robojournal DebianBug:875174 -> Removed, RoM.
 * sailcut DebianBug:875175 Already Qt5.
 * scidavis DebianBug:875251 -> Removed from the archive
 * screenie-qt DebianBug:875179 -> Upstream dead (Google Code), no package maintenance activity in the last 8 years -> Removed, RoQA.
 * shelxle DebianBug:875189
 * sigviewer DebianBug:875191 -> Switched to Qt5
 * simplescreenrecorder DebianBug:875192 -> Switched to Qt5.
 * smokegen DebianBug:875181 -> Removed.
 * smokeqt DebianBug:875193 -> RM Bug submitted ROM DebianBug:904584 -> Removed.
 * smpq DebianBug:875182 -> KDE4 kio binary package dropped.
 * soprano DebianBug:875185 -> Removed, RoM
 * soqt DebianBug:875186 -> Switched to Qt5
 * soundkonverter DebianBug:875187 -> Switched to Qt5/KF5
 * soundscaperenderer DebianBug:875188 -> Switched to Qt5
 * starpu-contrib DebianBug:875196 -> Switched to Qt5
 * structure-synth DebianBug:875203 -> Switched to Qt5
 * stopmotion DebianBug:875194 -> Switched to Qt5
 * subcommander DebianBug:875204 -> Orphaned, last upstream activity in 2009 -> Removed, RoQA.
 * subdownloader -> dead upstream? no source code on the homepage -> Upstream migrated to pyqt5.
 * suil DebianBug:875205 -> "dual link to Qt4 and Qt5; Qt4 was dropped in the Debian git repository, maybe requires a team upload, but maybe also better wait for the next version, see https://bugs.gentoo.org/631914#c2 -> uploaded new package without Qt4 support."
 * svgpart DebianBug:875197 -> Qt5 since KDE Applications 16.12
 * sweeper DebianBug:875198 -> Qt5 since KDE Applications 17.12
 * syrthes DebianBug:891993
 * tagua DebianBug:875201 -> Switched to Qt5.
 * taurus DebianBug:875202 -> Migrated to PyQt5.
 * telepathy-qt DebianBug:875206 -> Qt4 parts dropped
 * traverso DebianBug:875209 -> upstream site in maintenance since 2014... -> Switched to Qt5.
 * treeline DebianBug:875210 -> Ported to Qt5.
 * ttfautohint DebianBug:875211 -> Switched to Qt5.
 * txtreader DebianBug:875213 -> dead upstream, looking for removal -> Removed, RoQA/RoM.
 * uicilibris DebianBug:875223 -> RM Removed.
 * udj-desktop-client DebianBug:875214 -> Upstream and Maintainer inactive -> RM Bug filed DebianBug:902964 RoQA -> Removed.
 * uim DebianBug:875216 -> Dropped Qt4 build (already builds Qt5 module)
 * ultracopier DebianBug:875217
 * unetbootin DebianBug:875218 -> Removed from the archive, QA. "[[https://github.com/unetbootin/unetbootin/issues/53|Known upstream]] -> should take minimal effort to port -> bumped."
 * universalindentgui DebianBug:875228 -> Removed from the archive.
 * usbguard DebianBug:875220 -> Removed a spurious build-dependency on Qt4
 * veusz DebianBug:875232 -> version 3.0.1 in sid uses Qt5 but it has transition issues -> Fully migrated.
 * videocut DebianBug:875224 See [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875224#10]]. Removed, RoM.
 * virtualjaguar DebianBug:875225 -> Switched to Qt5
 * viva DebianBug:875226 -> Upstream inactive, removed
 * webkit-image DebianBug:875229 -> Removed, RoM
 * webkitkde DebianBug:875239 -> Removed, RoM
 * witty DebianBug:875230 -> can be compiled without Qt4; package basically abandoned, only in sid, many fixes and a new major upstream release not packaged -> Removed.
 * woo DebianBug:875231 -> the last git snapshot supports also Qt5; the package is only in sid -> Removed, ROM.
 * wpa DebianBug:875233 -> Switched to Qt5
 * wsjtx DebianBug:875235 -> last version(s) supports Qt5, packaging ongoing for version 1.8 (see DebianBug:906899 )
 * x2goclient DebianBug:875236 -> Ported to Qt5.
 * xca DebianBug:875237 -> Switched to Qt5
 * xdrawchem DebianBug:875245 -> Ported to Qt5.
 * xxdiff DebianBug:875241 -> Switched to Qt5.
 * zbar DebianBug:875246 -> Upstream inactive since 2012 -> Qt4 part removed.
 * zeroconf-ioslave DebianBug:875244 -> Qt5 since KDE Applications 17.12

Qt4 (aka src:qt4-x11) removal

Template text to file bugs

Subject: Qt4 removal from Buster
Source: @FILLME@
User: debian-qt-kde@lists.debian.org
Usertags: qt4-removal

Hi! As you might know we the Qt/KDE team are preparing to remove Qt4
as announced in:

[announced]
<https://lists.debian.org/debian-devel-announce/2017/08/msg00006.html>

Currently Qt4 has been dead upstream and we are starting to have problems
maintaining it, like for example in the [OpenSSL 1.1 support] case.

[OpenSSL 1.1 support]
<https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=828522>

In order to make this move, all packages directly or indirectly depending on
the Qt4 libraries have to either get ported to Qt5 or eventually get
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a Qt5
port of your application
- if there are no activities regarding porting, investigate whether there are
suitable alternatives for your users
- if there is a Qt5 port that is not yet packaged, consider packaging it
- if both the Qt4 and the Qt5 versions already coexist in the Debian
archives, consider removing the Qt4 version

= Porting =

Some of us where involved in various Qt4 to Qt5 migrations [migration] and we
know for sure that porting stuff from Qt4 to Qt5 is much much easier and less
painful than it was from Qt3 to Qt4.

We also understand that there is still a lot of software still using Qt4.

Don't forget to take a look at the C++ API changes page [apichanges] whenever
you start porting your application.

[migration] http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html
[apichanges] http://doc.qt.io/qt-5/sourcebreaks.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE
team at debian-qt-kde@lists.debian.org

The removal is being tracked in <https://wiki.debian.org/Qt4Removal>

Qt4WebKitRemoval Ubuntu's Qt 4 Removal

Apps using Qt4

Situation of apps and libraries using Qt4

Please keep this list reflecting the status of packages in both unstable and testing. Only when the bug gets fixed in both unstable and testing should we move it into the "Done" part.

Reminder bugs filed against these packages

  • akonadi4 874808 -> it has a Qt5 counterpart; needed by src:kdepimlibs

  • alsoft-conf 874809 -> No upstream activity for 9 years

  • amora-server 874812 -> Upstream porting is tracked at https://github.com/amora/amora/issues/86 (current state: UI is ported, but qtbluetooth porting has still issues)

  • ams 874823

  • appmenu-qt 874825

  • attica 874818 -> needed by src:kde4libs

  • automoc 874822 -> needed by src:kde4libs, and by anything based on kdelibs 4.x built using cmake

  • avogadro 874834 -> version 1.90 (beta of 2.0) supports Qt5

  • babiloo -> RM proposed 935176

  • backintime 935341 -> unreleased Qt5 support exists; only one subpackage needs Qt

  • baloo 874826 -> needed by src:kdepim4

  • bareos 874839

  • basket 874829 -> Qt5 beta version (currently 2.49); work on salsa to package it (experimental branch)

  • boats 874833

  • breeze 874840 -> "part of Plasma to theme Qt4 apps -> needed as long as there is Qt4 around"

  • buildnotify 906564

  • cdcat 874843

  • choreonoid 874844 -> Upstream trunk is supporting Qt5

  • cmtk 874853

  • codequery 874855

  • code-saturne 935342 -> source in Debian supports Qt5

  • connectomeviewer 875494

  • cppreference-doc 874862

  • daemonfs 874864

  • dgedit 874852

  • doomsday 874870 -> version 2.x is Qt5-based

  • dssi 874857

  • eficas 935343 -> obsolete? https://www.code-aster.org/forum2/viewtopic.php?id=22738

  • epigrass 891994

  • fbreader 874867 -> *Linux version apparently dead with no work in progress and not even unstable Qt5 port, see https://github.com/geometer/FBReader/issues/285

  • fcitx 874868 -> Qt4 support to be removed upon Qt4 removal.

  • fmit 874884 -> Qt5 version available in experimental

  • freemat 874878

  • freemedforms-project 874880 -> the README.md of 1.0 says "?FreeMedForms and derivatives are coded in C++ / Qt5."

  • gle-graphics 874901

  • gns3 874891

  • gnudoq 874892

  • grantlee 874908 -> needed by src:kdepim4, will be removed when its dependencies are removed (this is not grantlee5, which is based on Qt5)

  • gr-air-modes upstream QtWebkit bug, doesn't work after removing qt4webkit? 858774

  • hachoir-metadata -> dead upstream; https://github.com/vstinner/hachoir3 still uses Qt4 though; Qt seems optional (only in Suggests:)

  • hamfax 874911 -> last upstream commit in 2011

  • heimdall-flash 874915

  • hydrogen 874907 -> Qt5 support available upstream (merged after the last release 0.9.7) but unreleased

  • imagevis3d 874916

  • jreen 874918 -> Package seems to be dual Qt4/Qt5. Nothing in the archive seems to use it, asked for the removal of Qt4 binaries.

  • kactivities 874925 -> needed by src:kde-runtime

  • karlyriceditor 874931 -> Qt5 support since 2.0 (2015-12-13), last version is 2.2

  • kate4 874932 -> needed by anything using kdelibs 4.x, as kde-runtime -> kdelibs5-plugins -> katepart

  • kde-runtime 874944 -> linked to kde4libs, and needed for anything using kdelibs 4.x

  • kde4libs 874945 -> can be dropped as long as no applications depends on it

  • kdepimlibs 874937 -> see kdepim4 and few other dependencies

  • keepassx 874950 -> master uses Qt5, no new release yet, in experimental

  • kfilemetadata 874953 -> needed by src:baloo

  • kmetronome 874954 -> 1.0.0-2 is Qt5 but only on experimental, not sid

  • kmidimon 874955

  • knutclient 874964

  • kopete 874985 -> Qt5 since KDE Applications 18.04, in experimental only as not stable

  • kover 874968 -> No upstream activity for 5 years

  • kpartsplugin 874969

  • kppp 874970 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community

  • kprinter4 874973 -> No upstream activity since 2014, query sent to maintainers / uploaders

  • kradio4 874977 -> ask pino

  • krecipes 874978 -> no upstream Qt5 branch; now unmaintained by the KDE community

  • kredentials 874979

  • kremotecontrol 874980 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community

  • kscd 874987 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community

  • kvpnc 875003

  • laborejo 935344 -> orphaned; unreleased Qt5 support exists at https://github.com/diovudau/Laborejo

  • libdbusmenu-qt 875021 -> Plasma ships an updated fork in plasma-workspace.git; probably required as long as there are Qt4 applications which depend on it

  • libdrumstick 875010 -> Qt 5 package available in experimental.

  • libjdns 875022 -> dual Qt4/Qt5, and the Qt4 version is not used in the archive

  • liblastfm 875025

  • libqglviewer 875036 -> it has both Qt4 and Qt5 bindings

  • lightdm 875029

  • linguider 875031

  • lmms 875038 -> version 1.2.x supports also Qt5, yet Debian package maintainers are inactive

  • makehuman 906578 -> upstream 1.2.x will use Qt5 and Python3 https://github.com/makehumancommunity/makehuman

  • matplotlib -> ships both Qt4 and Qt5 support, but Suggests only python-qt4

  • meshlab 875041

  • microbegps 935345 -> no Qt5 support upstream

  • midisnoop 875047

  • mp3diags 875057

  • musique 875061 -> no maintainer activity since 2012; version 1.5 (2016-12-12) and later are Qt5-based

  • mustang-plug 875050

  • netanim 875051 -> No maintainer activity for 6 years; upstream released new version with Qt5 support

  • nfs-ganesha 935348 -> only python bindings require Qt

  • noblenote 875054 -> Upstream beta version is supporting Qt5

  • ntrack 875059

  • nzb 875062

  • odin 875065 -> apparently no Qt5 version upstream, but the porting may not be complicated

  • ofono-phonesim 875066

  • openambit 875068

  • opencsg 875070

  • openpref 875074 -> no upstream activity since 2011, git source moved to gitorious (!)

  • openscenegraph 875075

  • opensesame -> RM proposed 935180

  • openteacher 875076

  • ostinato 875077

  • oxygen 875078 -> "part of Plasma to theme Qt4 apps -> needed as long as there is Qt4 around"

  • phonon 875095 -> dual Qt4/Qt5

  • phonon-backend-gstreamer 875087 -> dual Qt4/Qt5

  • phonon-backend-vlc 875088 -> dual Qt4/Qt5

  • pianobooster 875089 -> dead upstream, Debian already packages the last SVN snapshot; unofficial Qt5 port at https://github.com/inniyah/pianobooster

  • puddletag 935346 -> upstream bug

  • polkit-qt-1 875092 -> Qt5 counterpart available

  • portabase 875098

  • projectm 875112 -> Qt5 support since version 2.2.1 (2018-04-06)

  • pyqwt5 875115

  • pysatellites 935347 -> cannot find the upstream location

  • pyside 875122

  • pyside-tools 875114

  • python-pyface 935349 -> Qt5 support exists upstream (unreleased or 6.0?)

  • python-pyqtgraph 843897 -> source in Debian supports Qt5?

  • python-qt4 875109

  • qbzr 935351 -> RFH; no Qt5 support upstream

  • qca2 875133 -> dual Qt4/Qt5

  • qemuctl 875134 -> no upstream activity since 2011

  • qimageblitz 875130 -> "a Qt5 port exists unreleated -> but it should not be needed anymore"

  • qjoypad 875137 -> fork with Qt5 port at https://github.com/panzi/qjoypad

  • qjson 875139 -> see bugs for it

  • qliss3d 875140 -> no upstream activity since 2011

  • qmpdclient 875136 -> "Currently orphaned (TITO) -> dead upstream -> replacements available (cantata for example)"

  • qpxtool 875141

  • qsapecng 875138

  • qscintilla2 875144 -> needs to drop Qt4 build (already builds Qt5 libs)

  • qt-assistant-compat 875151

  • qtads 875157 -> simply needs to be built with Qt5, patch submitted

  • qtcurve 875149 -> dual Qt4/Qt5

  • qtexengine 875158 -> upstream page changed (https://iondev.ro/qtexengine/); current version is 0.6 (2015), unclear status of Qt5 support

  • qthid-fcd-controller 875160

  • qtiplot 875150 -> dropped in upstream release candidates

  • qt4reactor 935350 -> very old version in Debian; qt5reactor exists

  • qtm 875161

  • qtwebkit 875159

  • qwbfsmanager 875164

  • qwt 875165

  • qwt5 875166

  • qxmlrpc 875178

  • radium-compressor 875168

  • rlplot 875172

  • scantailor 875176 -> https://github.com/scantailor/scantailor/issues/121 seems to point to the fork scantailor-advanced

  • scap-workbench 875177

  • scim 875250

  • scolasync 935183

  • scribus 875180 -> the development versions are Qt5 (1.5.x)

  • seascope -> 875500; dead upstream?

  • shiboken 875190

  • sofa-framework 875184

  • stretchplayer 875195 -> last upstream activity in 2010, repository on gitorious

  • swift-im 875212 -> "current upstream release requires Qt5 -> Debian package outdated"

  • syncevolution 875215

  • synergy 875199

  • tagainijisho 875200 -> Orphaned, upstream new version has Qt5 support

  • tipp10 875207

  • tora 875208

  • trimage 935352 -> dead upstream? no Qt5 support upstream

  • unixodbc-gui-qt 875219

  • v4l2ucp 875221

  • valkyrie 875222

  • vistrails 935353 -> there is some old Qt5 development branch on github

  • vitables 935354 -> latest version supports Qt5

  • vmpk 875238 -> Qt5 supported upstream since 0.6.0 (last version is 0.7.0)

  • voxbo 875227 -> upstream repository says "As of June 2011, ?VoxBo is no longer actively maintained."

  • writetype 875234 -> Upstream inactive since 2014

  • xflr5 875240 -> Qt5 supported upstream since 6.30 (last version is 6.43)

  • yabause 875242 -> last upstream version 0.9.15 supports Qt5

  • yagf 875243 -> Experimental Qt5 branch upstream

Remaining

Extra build dependencies

Qt4-specific (to be removed alongside Qt4 itself)

Done

  • abgate 874806 -> Switched to Qt5.

  • ace -> 874813 -> the ?QtReactor component was disabled.

  • acetoneiso 874814 -> Ported to Qt5.

  • acoustid-fingerprinter 874807 -> Orphaned, no upstream release for 6 years, no sign of porting -> Removed, RoQA.

  • adwaita-qt 874816 -> Ported to Qt5.

  • alt-key 874810 -> Upstream dead, last version released 6 years ago -> 904377 Removed.

  • amarok 874811 -> master branch is KF5-based, but no release planned yet -> Removed.

  • amule 874824 -> "optional Plasma 4 applet disabled"

  • aqsis 874815 -> Qt4 parts disabled

  • arc-gui-clients 874817 -> see qt4webkit removal page -> Switched to Qt5.

  • aseba 891021 -> Ported to Qt5.

  • attal 874827 -> Removed, 906581

  • audex 874819 -> git master is Qt5, but unmaintained; will be autoRMed from testing once libkcompactdisc and libkcddb are migrated to KF5 -> Removed, ROM.

  • auralquiz 874821 -> New version with Qt5 support uploaded.

  • audiocd-kio 874820 -> Qt5 since KDE Applications 16.12

  • autokey 875496

  • avahi 874832 -> Qt4 subpackages removed in the last upload

  • bacula 874836 -> Migrated to Qt5.

  • ball 874837 -> Migrated to Qt5.

  • bangarang 874828 -> "linked to Nepomuk -> dead upstream, RoM"

  • bear 874830 -> "Only used in tests -> removed and tests disabled."

  • bibletime 874831 -> see qt4webkit removal page -> ported to Qt5.

  • bppphyview 874835 -> Ported to Qt5.

  • brewtarget 874838 -> Switched to Qt5 (package version 2.3.1-1)

  • calligra 874841 -> Qt5 version in experimental.

  • camp 874842 -> Switched to Qt5

  • clementine 874850 -> Ported to Qt5.

  • clonalframe 874845 -> Switched to Qt5

  • clustalx 874851 Ported to Qt5.

  • collatinus 874856 -> Ported to Qt5.

  • connectome-workbench 874859 -> Switched to Qt5.

  • comparepdf 874846

  • confclerk 874847 -> Switched to Qt5

  • convertall 874848 -> Ported to Qt5.

  • cortina 874849 -> Orphaned, upstream dead for 3 years -> Removed.

  • dc-qt 874866 -> upstream inactive for 4 years, long orphaned -> RM requested 920192 -> Removed.

  • diffpdf 874854 -> Ported to Qt5 with Debian-specific patch series.

  • debconf 629405 -> Qt4 frontend removed.

  • edfbrowser 874858 -> Switched to Qt5.

  • eiskaltdcpp 874872 -> upstream 2.2.10 compiles with Qt5 (maybe https://github.com/eiskaltdcpp/eiskaltdcpp/pull/367 is needed too)

  • encuentro 934324 -> upstream bug, RMed

  • eqonomize 874860 -> Switched to Qt5 (new version 1.2-1, QA upload).

  • esperanza 874861 -> Removed, ROM.

  • evolvotron 874863 -> Switched to Qt5.

  • expeyes 904090 -> qt4 in Build-Depends, qt5 in Depends -> Unified to use Qt5 toolchain.

  • faustworks 874865 -> Switched to Qt5.

  • fcitx-kkc 874869 -> New version using Qt5 -> New version uploaded.

  • fcitx-libpinyin 874871 -> Switched to Qt5 in the new version.

  • fcitx-skk 874879 -> Switched to Qt5.

  • felix-latin 874881

  • ffdiaporama 874874 -> Switched to Qt5.

  • flightcrew 874875

  • fracplanet 874885 -> Switched to Qt5.

  • fractalnow 874876 -> Switched to Qt5.

  • fraqtive 874888 -> Switched to Qt5.

  • freecad 874877 -> Version 0.17 is based on Qt5.

  • freeplayer 874882 -> "'Upstream is long dead.' according the packager -> will be removed -> Removed, ROM"

  • fwbuilder 874894 Qt5 version uploaded using the "official" fork at https://github.com/fwbuilder/fwbuilder

  • gambas3 874896

  • gammaray 874883 -> Ported to Qt5.

  • gazebo 874898 -> the release 8.0.0 switched to Qt5

  • gcin 874886 -> Qt4 sub-package dropped

  • geogebra-kde 874887 -> "the package contained just a thumbnail generator and a service desktop file -> Removed"

  • geophar 875497 -> Migrated to Qt5.

  • gmic 874889

  • gnash 874890 -> Removed

  • gnuradio 874893 -> Switched to Qt5.

  • goldendict 874895 -> see qt4webkit removal page -> Switched to Qt5.

  • gpsbabel 874897 -> see the Qt4WebKitRemoval -> Switched to Qt5 since 1.5.4.

  • gpsd 874905 -> Qt4 used in libqgpsmm22; no mention of Qt5 support upstream, but the build system supports the version of Qt (maybe leftover from 3->4?)

  • gr-fosphor 874899

  • gr-radar 874900 -> Migrated to Qt5.

  • guymager 874902 -> Switched to Qt5

  • hannah-foo2zjs 874903 -> Switched to Qt5

  • hedgewars 874913

  • hgview 875499 (removed)

  • hime 874904 -> Removed the Qt4 input module

  • holdingnuts 874917 -> Removed.

  • hupnp 874906 Removed from the archive.

  • i7z 874909 -> Qt4 GUI disabled.

  • iannix 874910 -> Qt5 package uploaded to sid.

  • ibus-qt 874920 -> RM Bug filed 903894 -> Removed.

  • ifpgui 874912 -> RM Bug filed 920294, ROM -> Removed.

  • ifrit 874921 -> Removed, RoQA.

  • ike 874914 -> RMed, RoQA

  • jovie 874922 -> RMed, replaced by Qt Speech in Qt 5.10

  • juk 874919 -> Qt5 since KDE Applications 17.12.

  • k3b 874923 -> Qt5 since KDE Applications 17.04

  • kaccessible 874927 -> functionality included in Qt5 -> dropped from KDE Applications 17.12 -> Removed

  • kajongg 874924 -> Qt5 since KDE Applications 17.04

  • kalternatives 874928 -> Removed

  • kalzium 874929 -> Qt5 since KDE Applications 16.12, switched to Qt5

  • kamerka 874926 -> Removed

  • katarakt 874930 -> Switched to Qt5 (new version)

  • kbibtex 874934 -> "master is Qt5 -> but another kdelibs 4.x version (0.7.0) is planned" Switched to Qt5.

  • kcachegrind 874935 -> Qt5 since KDE Applications 17.04

  • kcheckers 874933

  • kchmviewer 874936 -> switched to Qt5

  • kcollectd 874938 -> Removed

  • kdbg 874941 -> Removed

  • kde-baseapps 874942 -> split into few Qt5 tarballs since KDE Applications 16.12; now removed

  • kde-dev-utils 874943 -> Qt5 since KDE Applications 17.04

  • kdegraphics-mobipocket 874946 -> Qt5 since KDE Applications 16.12

  • kdepim4 874947 -> it contains knode and ktimetracker, not available for Qt5 -> Removed.

  • kdesdk-kioslaves 874939 -> Qt5 since KDE Applications 17.04

  • kdesudo 874940 -> "This is Qt 3 -> it should be removed from the archive altogether in favor of kdesu -> see this and bug 875107" Removed, RoM

  • kdewebdev 874948 -> Removed, RoM (kimagemapeditor is in own source)

  • kdiff3 874949 -> Qt5 development version uploaded

  • keurocalc 874952 -> Switched to Qt 5

  • kget 874958 -> Qt5 since KDE Applications 17.12

  • kgoldrunner 874960 -> Qt5 since KDE Applications 17.04

  • kgpg 874951 -> Qt5 since KDE Applications 16.12

  • kigo 874963 -> Qt5 since KDE Applications 17.08

  • kile 874966 -> Switched to Qt5 beta

  • kio-gopher 874971 -> Qt5 version released

  • klatexformula 874972 -> Switched to Qt5.

  • kmag 874974 -> Qt5 since KDE Applications 17.08

  • kmldonkey 874956 -> Removed

  • kmix 874975 -> Qt5 since KDE Applications 17.12

  • kmousetool 874957 -> Qt5 since KDE Applications 17.08

  • kmouth 874959 -> Qt5 since KDE Applications 17.12

  • kmymoney 874961 -> Switched to Qt5

  • knights 874962 -> Qt5 since KDE Applications 18.12

  • kolf 874965 -> Qt5 since KDE Applications 17.12

  • komparator 874981 -> looks dead upstream, requires libkonq4 (it was RMed as planned as soon as src:konqueror was switched to the KF5 version)

  • konquest 874967 -> Qt5 since KDE Applications 17.08

  • konsole4 874983 -> Removed, RoM

  • kqtquickcharts 874976 -> Qt5 since KDE Applications 16.12

  • kraft 874993 -> Qt5 since 0.80

  • krename 874982 -> Qt5 since v5.0.0

  • kreversi 874984 -> Qt5 since KDE Applications 17.08

  • ksaneplugin 874986 Removed, RoM

  • kscope 874988 -> "the home page says that 'KScope is no longer being maintained.' -> drop", Removed, RoM

  • kshutdown 874989 -> can use Qt5 since version 4.x -> Built against KF5 now

  • ksirk 874990 -> Qt5 since KDE Applications 17.12

  • ksnakeduel 874991 -> Qt5 since KDE Applications 17.08

  • kspaceduel 874992 -> Qt5 since KDE Applications 17.08

  • kst 874994 -> Switched to Qt5 (already supported).

  • ksudoku 874995 -> Qt5 since KDE Applications 17.08

  • ktikz 874996 -> Ported to Qt5.

  • ktouch 875000 -> Qt5 since KDE Applications 16.12, fixed in experimental

  • ktp-call-ui 875001 Switched to Qt5 in experimental.

  • kubrick 875002 -> Qt5 since KDE Applications 17.08

  • kuser 874997 -> dropped upstream, RMed

  • kvirc 874998 -> unreleased Qt5 version is in experimentalsci

  • kvkbd 874999 -> no activity recently, but most likely can be replaced by qtvirtualkeyboard (Plasma requirement) -> RMed, RoQA.

  • kxstitch 875004 -> ported to Qt5

  • launchy 875020 -> Orphaned, original upstream dead, fork available on ?GitHub with Qt5 support, removed

  • leocad 875006 Switched to Qt5.

  • lfhex 875018 -> Removed.

  • libaccounts-qt 875007 -> extra libqt4-dev B-D

  • libalkimia 875008 -> RoM; Qt5 version available as src:alkimia

  • libbpp-qt 875009 -> Switched to Qt5.

  • libffado -> there is some discussion in 887846

  • libguytools2 875011 -> Switched to Qt5

  • libgwenhywfar 875012 -> previously double Qt4/Qt5; switched to Qt5 after kmymoney/Qt5 entered Buster

  • libkcddb 875013 -> Qt5 since KDE Applications 16.12

  • libkcompactdisc 875014 -> Qt5 since KDE Applications 16.12

  • libkdegames-kde4 875015 -> KF5 counterpart already in archive, will be RMed once all the games are migrated to Applications 17.12

  • libkexiv2 875016 -> needed by src:okular, KF5 counterpart already in archive -> RMed from archive

  • libkmahjongg 875017 -> Qt5 since KDE Applications 15.04, KF5 counterpart already in archive -> Removed from archive, no longer needed

  • libkolabxml 875019 -> Switched to Qt5.

  • libkpeople 875023 Removed, RoM, Qt5 version already available.

  • libksane 875024 Removed, RoM. Qt5 since KDE Applications 15.12

  • libmygpo-qt 875033

  • liborigin2 875034 -> Switched to Qt5.

  • libqaccessibilityclient 875035 -> new 0.2.0 release dual Qt4/Qt5 -> Ported to Qt5.

  • libquazip 875026 -> Switched to Qt 5.

  • libqxt 875027 -> Dead upstream -> RM Bug submitted 906650 -> Removed.

  • liggghts 875028 -> Qt4 part removed.

  • lightdm-kde 875030 -> no Qt5 port will happen, packet will be removed alongside Qt4

  • linkchecker 875032 GUI component split out, not part of Debian, unmaintained

  • linpsk 875044 -> only old Qt4-based version left in ports

  • linux-minidisc 875037 Switched to Qt5.

  • lskat 875039 -> Qt5 since KDE Applications 17.08

  • luckybackup 875045 -> Switched to Qt5.

  • m2l-pyqt 875046 -> Switched to Qt5.

  • maptransfer 933033 -> dead upstream; Removed

  • mcrl2 875040 -> Removed, unmaintained.

  • mixxx 875042 -> the tarball of the released 2.0.0 apparently supports also Qt5 -> Switched to Qt5

  • mldemos 875043

  • mm3d 875048 -> Switched to Qt5

  • monkeystudio 875056 -> Dead upstream, removed

  • mumble 875058 -> development versions (1.3) use Qt5 (see 874683 ) -> Migrated to Qt5.

  • muse 875049 -> Switched to Qt5

  • netemul 875052 Removed, RoM.

  • nmapsi4 875053 -> Switched to Qt5 (last snapshot of the alpha of the new 0.5).

  • nomnom 875055 -> video downloader/grabber, last upstream release in 2011, probably not working anymore; candidate for removal (?DebianBug: 922781) -> Removed, RoQA.

  • ns3 875071 Switched qto Qt5.

  • nuapplet 875060 Removed, RoM.

  • octave 875063 Switched to Qt5.

  • octomap 875064 Switched to Qt5.

  • okular 875067 -> Qt5 since KDE Applications 16.12

  • opencolorio 875069 -> Switched to Qt5.

  • openimageio 875072 -> Switched to Qt5.

  • openms 875073 -> no Qt5 support in released version or in the 'develop' git branch, but there is a 'feature/qt5' branch

  • openmw 875081 -> support for building with Qt5 is available 0.37.0, according the release notes

  • ophcrack 875082

  • otb 875083 -> "This migration can be planned for version 6.4 (which should arrive around December 2017)." -> Migrated to Qt5 with new release.

  • packagesearch 875079 -> Switched to Qt5.

  • pairs 875080 -> dropped (use the similar activity in gcompris-qt) Removed, RoM.

  • palapeli 875084 -> Qt5 since KDE Applications 17.12

  • paraview 875086 -> a Qt5 version was uploaded for a while but then reverted (see 821091 ), maybe it can be tried again

  • pcp 875093 -> Switched to Qt5.

  • pfstools 875094 -> Switched to Qt5 (with a patch backported from the upstream WIP Qt5 branch).

  • picard -> a Qt5 version was released and packaged; Qt5 packages since 2.0.4-1 (now 2.1.0-1)

  • pinentry-x2go 875090 -> Switched to Qt5.

  • pivy 875099 -> Switched to Qt5

  • plasma-widget-yawp 875100 -> "no Qt5 version planned -> only works with Plasma 4" -> Removed.

  • plplot 875101 Ported to Qt5.

  • pokerth 875091 -> Switched to Qt5-only build.

  • poppler 875096 -> "different backends -> just drop the Qt4 version when there are no dependencies"

  • populations 875097 -> Ported to Qt5

  • postbooks 875102

  • postbooks-updater 875103

  • prerex 875104

  • prison 875105 -> Removed, RoM

  • promoe 875117 -> Orphaned, upstream development stalled -> Removed: 904865

  • psi 875119 -> Upstream version 1.2 supports/requires Qt5

  • psi-plus-l10n 875110 Ported to Qt5

  • psi-translations 875111 -> Migrated to Qt5 toolchain.

  • pulseview 875113 -> Switched to Qt5.

  • pykde4 875118

  • pymecavideo 875120 -> Ported to Qt5.

  • pynagram -> dead upstream, RM proposed -> Removed, RoQA.

  • pypibrowser -> dead upstream -> RM Bug submitted 905804 -> Removed.

  • pyqwt3d 875116

  • python-whiteboard 875121 Switched to Qt5.

  • pythonqt 875108 Switched to Qt5.

  • qcomicbook 875129 -> "version 0.9.1 uses Qt5 -> uploaded"

  • qct -> RFA; RFA says should be removed -> Removed, ROM.

  • qimhangul 875131 -> RoM, there are alternatives for Qt5.

  • qink 875132 Orphaned, no upstream Qt5 version. -> Removed, RoQA.

  • qgis 875135 -> at least the version 2.18.12 (released on 18.08.2017) can be compiled with Qt5, but Qt5 is not supported upstream until 3.0. The package in Debian will be switched to Qt5 when 3.4.x LTR enters the upstream Long-Term Repo. -> 3.4.x uploaded to sid and migrated to testing.

  • qr-tools 875142 Switched to Qt5. (debian-specific patch)

  • qrfcview 875143 -> No upstream activity since 2006, no debian maintainer activity since 2008, no upload since 2013, package removal planned, query sent to package maintainer -> Removed.

  • qstardict 875145 -> Ported to Qt5.

  • qt-gstreamer 875147 -> Qt4 parts dropped

  • qt-sdk 875154 Removed, RoM.

  • qtkeychain 875152 -> can be compiled for both Qt4 and Qt5 -> Switched to Qt5.

  • qtop 875162 -> Switched to Qt5.

  • qtruby 875153 Removed, RoM.

  • qtscriptgenerator 875155 -> needed by src:amarok -> Removed.

  • qtscrob 875156 -> Switched to Qt5.

  • qtsmbstatus 875163 -> Removed

  • qt4-perl 875148 -> RM Bug submitted RoQA 904583 -> Removed.

  • qwtplot3d 875167 -> Ported to Qt5.

  • rinputd 875170 Removed, RoM

  • rkward 875171 -> "framework branch available -> not ready yet" -> Ported to Qt5.

  • robocut 875173 Switched to Qt5.

  • robojournal 875174 -> Removed, RoM.

  • sailcut 875175 Already Qt5.

  • scidavis 875251 -> Removed from the archive

  • screenie-qt 875179 -> Upstream dead (Google Code), no package maintenance activity in the last 8 years -> Removed, RoQA.

  • shelxle 875189

  • sigviewer 875191 -> Switched to Qt5

  • simplescreenrecorder 875192 -> Switched to Qt5.

  • smokegen 875181 -> Removed.

  • smokeqt 875193 -> RM Bug submitted ROM 904584 -> Removed.

  • smpq 875182 -> KDE4 kio binary package dropped.

  • soprano 875185 -> Removed, RoM

  • soqt 875186 -> Switched to Qt5

  • soundkonverter 875187 -> Switched to Qt5/KF5

  • soundscaperenderer 875188 -> Switched to Qt5

  • starpu-contrib 875196 -> Switched to Qt5

  • structure-synth 875203 -> Switched to Qt5

  • stopmotion 875194 -> Switched to Qt5

  • subcommander 875204 -> Orphaned, last upstream activity in 2009 -> Removed, RoQA.

  • subdownloader -> dead upstream? no source code on the homepage -> Upstream migrated to pyqt5.

  • suil 875205 -> "dual link to Qt4 and Qt5; Qt4 was dropped in the Debian git repository, maybe requires a team upload, but maybe also better wait for the next version, see https://bugs.gentoo.org/631914#c2 -> uploaded new package without Qt4 support."

  • svgpart 875197 -> Qt5 since KDE Applications 16.12

  • sweeper 875198 -> Qt5 since KDE Applications 17.12

  • syrthes 891993

  • tagua 875201 -> Switched to Qt5.

  • taurus 875202 -> Migrated to ?PyQt5.

  • telepathy-qt 875206 -> Qt4 parts dropped

  • traverso 875209 -> upstream site in maintenance since 2014... -> Switched to Qt5.

  • treeline 875210 -> Ported to Qt5.

  • ttfautohint 875211 -> Switched to Qt5.

  • txtreader 875213 -> dead upstream, looking for removal -> Removed, RoQA/RoM.

  • uicilibris 875223 -> RM Removed.

  • udj-desktop-client 875214 -> Upstream and Maintainer inactive -> RM Bug filed 902964 RoQA -> Removed.

  • uim 875216 -> Dropped Qt4 build (already builds Qt5 module)

  • ultracopier 875217

  • unetbootin 875218 -> Removed from the archive, QA. "Known upstream -> should take minimal effort to port -> bumped."

  • universalindentgui 875228 -> Removed from the archive.

  • usbguard 875220 -> Removed a spurious build-dependency on Qt4

  • veusz 875232 -> version 3.0.1 in sid uses Qt5 but it has transition issues -> Fully migrated.

  • videocut 875224 See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875224#10. Removed, RoM.

  • virtualjaguar 875225 -> Switched to Qt5

  • viva 875226 -> Upstream inactive, removed

  • webkit-image 875229 -> Removed, RoM

  • webkitkde 875239 -> Removed, RoM

  • witty 875230 -> can be compiled without Qt4; package basically abandoned, only in sid, many fixes and a new major upstream release not packaged -> Removed.

  • woo 875231 -> the last git snapshot supports also Qt5; the package is only in sid -> Removed, ROM.

  • wpa 875233 -> Switched to Qt5

  • wsjtx 875235 -> last version(s) supports Qt5, packaging ongoing for version 1.8 (see 906899 )

  • x2goclient 875236 -> Ported to Qt5.

  • xca 875237 -> Switched to Qt5

  • xdrawchem 875245 -> Ported to Qt5.

  • xxdiff 875241 -> Switched to Qt5.

  • zbar 875246 -> Upstream inactive since 2012 -> Qt4 part removed.

  • zeroconf-ioslave 875244 -> Qt5 since KDE Applications 17.12